import axios from 'axios';
const baseUri = "/ambientAir/airAqiRelateInfoDict";
const listAllUrl = baseUri + "";

// 添加
const saveAqiRelate = function (data) {
    return axios.post("/ambientAir/airAqiRelateInfoDict",data)
}

// 删除
const removeAqiRelate = function (id) {
    return axios.delete(`/ambientAir/airAqiRelateInfoDict/${id}`,)
}
// 批量删除
const removeBatchAqiRelate = function (ids) {
    return axios.delete("/ambientAir/airAqiRelateInfoDict/batch",{data:ids})
}

// 修改
const updateAqiRelate = function (data) {
    return axios.put("/ambientAir/airAqiRelateInfoDict",data)
}

const copyBatchPlace = function (data){
    return axios.post("/ambientAir/airAqiRelateInfoDict/copyBatch",data)
}
const getColumnOptions = function(column){
    return axios.get("/ambientAir/airAqiRelateInfoDict/options",{params:{column}})
}

export {
    listAllUrl,
    saveAqiRelate,
    updateAqiRelate,
    removeBatchAqiRelate,
    removeAqiRelate,
    copyBatchPlace,
    getColumnOptions

}
